﻿@model ADS.Core.Model.Advogado

@{
    ViewBag.Title = "Cadastrar";
}

<h2>Cadastrar Advogado</h2>

<div>

    <!-- Nav tabs -->
    <ul class="nav nav-tabs" role="tablist">
        <li role="presentation" class="active"><a href="#dadosPessoais" aria-controls="dadosPessoais" role="tab" data-toggle="tab">Dados Pessoais</a></li>
        <li role="presentation"><a href="#veiculos" aria-controls="veiculos" role="tab" data-toggle="tab">Veículos</a></li>
        <li role="presentation"><a href="#dadosOAB" aria-controls="dadosOAB" role="tab" data-toggle="tab">Dados OAB</a></li>
    </ul>
</div>

@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(false, "", new { @class = "text-danger" })
    <input type="hidden" name="AdvogadoId" value="@Model.AdvogadoId" />
    <input type="hidden" name="CriadoEm" value="@Model.CriadoEm"/>
       <!-- Tab panes -->
    <div class="tab-content">
        <!--TAB Dados pessoais-->
        <div role="tabpanel" class="tab-pane active" id="dadosPessoais">
            <fieldset>
                <legend>Dados Pessoais</legend>

                @{
                    string imgSrc = null;
                    string inputFoto = null;
                    if (Model.Foto!=null)
                    {
                        var base64 = Convert.ToBase64String(Model.Foto);
                        imgSrc = String.Format("data:image/gif;base64,{0}", base64);
                        inputFoto = base64;
                    }

                }

                

                <div class="input-group col-md-8 margem-abaixo">
                    @if (imgSrc == null)
                    {
                        <img id="fotoAdvogado" src="~/Content/images/thunbnail-adv-pic.png" alt="Fot do Advogado" class="img-thumbnail vcenter" width="140" height="140">
                    }
                    else
                    {
                        <img id="fotoAdvogado" src=@imgSrc alt="Fot do Advogado" class="img-thumbnail vcenter" width="140" height="140">
                    }
                    <span class="btn btn-default btn-file vcenter">Procurar <input id="imgSelecionada" type="file" value="@imgSrc"></span>
                    <input type="hidden" name="Foto" id="Foto" value="@inputFoto" />
                    <span id="arquivoSelecionado" class="vcenter"></span>
                </div>

                <div class="form-group col-md-8">
                    @Html.LabelFor(p => p.Nome)
                    @Html.TextBoxFor(p => p.Nome, new { @class = "form-control" })
                    @Html.ValidationMessageFor(p => p.Nome, "", new { @class = "text-danger" })
                </div>

                <div class="row">
                    <div class="form-group col-md-8">
                        <div class="col-md-4">
                            @Html.LabelFor(p => p.CPF)
                            @Html.TextBoxFor(p => p.CPF, new { @class = "form-control" })
                            @Html.ValidationMessageFor(p => p.CPF, "", new { @class = "text-danger" })
                        </div>
                        <div class="col-md-4">
                            @Html.LabelFor(p => p.RG)
                            @Html.TextBoxFor(p => p.RG, new { @class = "form-control" })
                            @Html.ValidationMessageFor(p => p.RG, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>
               
                <fieldset>
                    <legend>Endereço</legend>
                    <div class="container">
                        <div class="form-group">
                            <button type="button" class="btn btn-default" data-toggle="modal" data-target="#modalAdicionarEndereco">
                                <i class="fa fa-address-book">  Adicionar</i>
                            </button>
                        </div>
                        <table id="tabelaEndereco" class="table table-responsive table-striped">
                            <thead>
                                <tr>
                                    <th>Cep</th>
                                    <th>Logradouro</th>
                                    <th>Estado</th>
                                    <th>Cidade</th>
                                    <th></th>
                                </tr>     
                            </thead>
                            <tbody id="linhasTabEndereco">
                           @for (var i = 0; i < Model.Endereco.Count(); i++)
                           {
                               if (Model.Endereco.ElementAt(i).Removido == false)
                               {
                                <tr id="@(i+1)">

                                    <td>
                                        @Html.DisplayFor(modelItem => Model.Endereco.ElementAt(i).CEP)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => Model.Endereco.ElementAt(i).Logradouro)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => Model.Endereco.ElementAt(i).UF)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => Model.Endereco.ElementAt(i).Cidade)
                                    </td>
                                    <!--
                                    <td>
                                        @Html.DisplayFor(modelItem => Model.Endereco.ElementAt(i).Complemento)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => Model.Endereco.ElementAt(i).Bairro)
                                    </td>

                                    <td>
                                        @Html.DisplayFor(modelItem => Model.Endereco.ElementAt(i).Numero)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => Model.Endereco.ElementAt(i).AdvogadoId)
                                    </td>
                                        -->
                                    <td>
                                        <a href="#a" onclick="detalhesEndereco(@(i+1),@Model.Endereco.ElementAt(i).EnderecoId)" class="glyphicon glyphicon-eye-open btn btn-primary btn-xs"></a>
                                        <a href="#a" onclick="editarEndereco(@(i+1),@Model.Endereco.ElementAt(i).EnderecoId)" class="glyphicon glyphicon-pencil btn btn-primary btn-xs"></a>
                                        <a href="#a" onclick="removerEndereco(@(i+1),@Model.Endereco.ElementAt(i).EnderecoId)" class="glyphicon glyphicon-remove btn btn-primary btn-xs"></a>
                                    </td>
                                </tr>
                               }
                           }
                            </tbody>
                        </table>
                    </div>              
                </fieldset>

                <fieldset>
                    <legend>Telefone</legend>
                    <div class="container">
                        <div class="form-group">
                            <button type="button" class="btn btn-default" data-toggle="modal" data-target="#modalAdicionarTelefone">
                                <i class="fa fa-phone">  Adicionar</i>
                            </button>
                        </div>
                        <table id="tabelaTelefone" class="table table-responsive table-striped">
                            <thead>
                                <tr>
                                    <th>DDD</th>
                                    <th>Número</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody id="linhasTabTelefone">
                                @for (var i = 0; i < Model.Telefone.Count(); i++)
                                {
                                    if (Model.Telefone.ElementAt(i).Removido == false)
                                    {
                                        <tr id="@(i+1)">
                                            <td>
                                                @Html.DisplayFor(modelItem => Model.Telefone.ElementAt(i).DDD)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => Model.Telefone.ElementAt(i).Numero)
                                            </td>
                                            <td>
                                                <a href="#a" onclick="editarTelefone(@(i+1),@Model.Telefone.ElementAt(i).TelefoneId)" class="glyphicon glyphicon-pencil btn btn-primary btn-xs"></a>
                                                <a href="#a" onclick="removerTelefone(@(i+1),@Model.Telefone.ElementAt(i).TelefoneId)" class="glyphicon glyphicon-remove btn btn-primary btn-xs"></a>
                                            </td>
                                        </tr>
                                    }
                                }
                            </tbody>
                        </table>
                    </div>
                </fieldset>

            </fieldset>
        </div>
        <!--TAB veiculos-->
        <div role="tabpanel" class="tab-pane" id="veiculos">
            <fieldset>
                <legend>Veículos</legend>
                <!-- Button trigger modal -->
                <div class="form-group Endereco col-md-8">
                    <div class="row">
                        <button type="button" class="btn btn-default" data-toggle="modal" data-target="#modalAdicionarVeiculo">
                            <i class="fa fa-car"> Adicionar</i>
                        </button>
                    </div>
                    <table id="tabelaVeiculo" class="table table-responsive table-striped">
                        <thead>
                            <tr>
                                <th>Modelo</th>
                                <th>Placa</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody id="linhasTabVeiculo">
                            @for (var i = 0; i < Model.Veiculo.Count(); i++)
                            {
                                if (Model.Veiculo.ElementAt(i).Removido == false)
                                {
                                    <tr id="@(i+1)">
                                        <td>
                                            @Html.DisplayFor(modelItem => Model.Veiculo.ElementAt(i).Modelo.Nome)

                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => Model.Veiculo.ElementAt(i).Placa)
                                        </td>
                                        <td>
                                            <a href="#a" onclick="editarVeiculo(@(i+1),@Model.Veiculo.ElementAt(i).VeiculoId)" class="glyphicon glyphicon-pencil btn btn-primary btn-xs"></a>
                                            <a href="#a" onclick="removerVeiculo(@(i+1),@Model.Veiculo.ElementAt(i).VeiculoId)" class="glyphicon glyphicon-remove btn btn-primary btn-xs"></a>
                                        </td>
                                    </tr>
                                }
                            }
                        </tbody>
                    </table>
                </div>
            </fieldset>
        </div>
        <!--TAB Dados OAB-->
        <div role="tabpanel" class="tab-pane" id="dadosOAB">
            <fieldset>
                <legend>Dados da OAB</legend>
                <div class="form-group col-md-4">
                    @Html.LabelFor(p => p.NumeroInscricao)
                    @Html.TextBoxFor(p => p.NumeroInscricao, new { @class = "form-control" , @readonly="true" })
                    @Html.ValidationMessageFor(p => p.NumeroInscricao, "", new { @class = "text-danger" })
                </div>
                <div class="form-group col-md-4">
                    @Html.LabelFor(p => p.NumeroCarteira)
                    @Html.TextBoxFor(p => p.NumeroCarteira, new { @class = "form-control", @readonly = "true" })
                    @Html.ValidationMessageFor(p => p.NumeroCarteira, "", new { @class = "text-danger"})
                </div>
                <div class="form-group col-md-8">
                    @Html.LabelFor(p => p.Seccional)
                    @Html.TextBoxFor(p => p.Seccional, new { @class = "form-control" })
                    @Html.ValidationMessageFor(p => p.Seccional, "", new { @class = "text-danger" })
                </div>
                <div class="form-group col-md-8">
                    @Html.LabelFor(p => p.Subsecao)
                    @Html.TextBoxFor(p => p.Subsecao, new { @class = "form-control" })
                    @Html.ValidationMessageFor(p => p.Subsecao, "", new { @class = "text-danger" })
                </div>
                <div class="form-group col-md-8 ">                 
                    @Html.CheckBoxFor(p => p.Ativo)
                    @Html.LabelFor(p => p.Ativo)
                </div>
            </fieldset>
        </div>
    </div>

    <div class="row">
            <button type="submit" class="btn btn-default center-block"><i class="fa fa-save">  Salvar</i></button>
    </div>
}
        <!-- AREA DOS MODAIS-->
        <!-- Modal de Adicionar Telefone-->
                    <div class="modal fade" id="modalAdicionarTelefone" tabindex="-1" role="dialog" aria-labelledby="Adicionar Telefone">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <h4 class="modal-title" id="myModalLabel">Adicionar Telefone</h4>
                                </div>
                                <div class="modal-body container">
                                    <input type="hidden" name="TelefoneId" id="TelefoneId"/>
                                    <div class="row">
                                        <div class="form-group col-md-3">
                                            <label for="DDD">DDD</label>
                                            @Html.TextBoxFor(t => t.Telefone.FirstOrDefault().DDD, new { @class = "form-control" , id="DDD"})
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="form-group col-md-3">
                                            <label for="Modelo">Telefone</label>
                                            @Html.TextBoxFor(t => t.Telefone.FirstOrDefault().Numero, new { @class = "form-control", id="nrTelefone" })
                                            @Html.HiddenFor(t=>t.Telefone.FirstOrDefault().CriadoEm, new { id="telCriadoEm"})
                                        </div>
                                    </div>                               
                                </div>

                                <div class="modal-footer">
                                    <button type="button" class="btn btn-default" data-dismiss="modal" id="fecharModalTelefone">Fechar</button>
                                    <button type="button" class="btn btn-primary" id="salvarTelefone">Salvar</button>
                                </div>
                            </div>
                        </div>
                    </div>



        <!-- Modal de Adicionar Veiculos-->
        <div class="modal fade" id="modalAdicionarVeiculo" tabindex="-1" role="dialog" aria-labelledby="Adicionar Veículo">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        <h4 class="modal-title" id="myModalLabel">Adicionar Veículo</h4>
                    </div>
                    <div class="modal-body container">
                        <input type="hidden" name="VeiculoId" id="VeiculoId"/>
                         <div class="row">
                            <div class="form-group col-md-3">
                                <label for="Fabricante">Fabricante</label>
                                @Html.DropDownList("Fabricante", (SelectList)ViewBag.fabricantes, "Selecione", new { @class = "form-control", id = "SelectFabricante" })
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-md-3">
                                <label for="Modelo">Modelo</label>
                                @Html.DropDownList("Modelo", (SelectList)ViewBag.modelos, "Selecione", new { @class = "form-control", id = "SelectModelo" })
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-md-3">
                                <label for="Placa">Placa</label>
                                <input id="Placa" name="Placa" type="text" class="form-control" />
                            </div>
                        </div>
                    </div>

                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" id="fecharModalVeiculo">Fechar</button>
                        <button type="button" class="btn btn-primary" id="salvarVeiculo">Salvar</button>
                    </div>
                </div>
            </div>
        </div>

    <!-- Adicionar endereco-->
                    <div class="modal fade" id="modalAdicionarEndereco" tabindex="-1" role="dialog" aria-labelledby="Adicionar Endereco">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <h4 class="modal-title" id="myModalLabel">Adicionar Endereço</h4>
                                </div>
                                <div class="modal-body container">
                                    <input type="hidden" id="EnderecoId" name="EnderecoId" />
                                    <div class="row">
                                        <div class="form-group col-md-2">
                                            @Html.LabelFor(p => p.Endereco.FirstOrDefault().CEP)
                                            <div class="input-group">
                                                @Html.TextBoxFor(p => p.Endereco.FirstOrDefault().CEP, new { @class = "form-control", id = "cep" })
                                                <span class="input-group-btn">
                                                    <button id="buscarEndereco" class="btn btn-default botaoBuscar" type="button"><i class="fa fa-search"></i></button>
                                                </span>
                                            </div>
                                            <span id="buscando" class="small"></span>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="form-group col-md-2">
                                            @Html.LabelFor(p => p.Endereco.FirstOrDefault().UF)
                                            @Html.TextBoxFor(p => p.Endereco.FirstOrDefault().UF, new { @class = "form-control", id = "UF" })
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="form-group col-md-2">
                                            @Html.LabelFor(p => p.Endereco.FirstOrDefault().Cidade)
                                            @Html.TextBoxFor(p => p.Endereco.FirstOrDefault().Cidade, new { @class = "form-control", id = "Cidade" })
                                        </div>
                                        <div class="form-group col-md-2">
                                            @Html.LabelFor(p => p.Endereco.FirstOrDefault().Bairro)
                                            @Html.TextBoxFor(p => p.Endereco.FirstOrDefault().Bairro, new { @class = "form-control", id = "Bairro" })
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="form-group col-md-4">
                                            @Html.LabelFor(p => p.Endereco.FirstOrDefault().Logradouro)
                                            @Html.TextBoxFor(p => p.Endereco.FirstOrDefault().Logradouro, new { @class = "form-control", id = "Logradouro" })
                                        </div>
                                        <div class="form-group col-md-1">
                                            @Html.LabelFor(p => p.Endereco.FirstOrDefault().Numero)
                                            @Html.TextBoxFor(p => p.Endereco.FirstOrDefault().Numero, new { @class = "form-control", id = "Numero" })
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="form-group col-md-5">
                                            @Html.LabelFor(p => p.Endereco.FirstOrDefault().Complemento)
                                            @Html.TextBoxFor(p => p.Endereco.FirstOrDefault().Complemento, new { @class = "form-control", id = "Complemento" })
                                            @Html.ValidationMessageFor(p => p.Endereco.FirstOrDefault().Complemento, "", new { @class = "text-danger" })
                                        </div>
                                    </div>
                                    <div class="row">

                                    </div>
                                </div>

                                <div class="modal-footer">
                                    <button id="fecharModal" type="button" class="btn btn-default">Fechar</button>
                                    <button id="salvarEndereco" type="button" class="btn btn-primary">Salvar</button>
                                </div>
                            </div>
                        </div>
                    </div>



                    <!-- Detalhes endereco-->
                    <div class="modal fade" id="modalDetalhesEndereco" tabindex="-1" role="dialog" aria-labelledby="Detalhes Endereco">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <h4 class="modal-title" id="myModalLabel">Detalhes de Endereço</h4>
                                </div>
                                <div class="modal-body container" id="detalhesEnderecoBody">
                                    
                                </div>
                            </div>
                        </div>
                    </div>

        @section ScriptUtil {
            <script src="~/Scripts/EditrAdvogado.js"></script>
        }
        
